import request from '@/utils/request'

// 查询巡更记录列表
export function listPatrolRecord(query) {
    return request({
        url: '/patrol/record/list',
        method: 'get',
        params: query
    })
}

// 查询巡更记录详细
export function getPatrolRecord(id) {
    return request({
        url: '/patrol/record/' + id,
        method: 'get'
    })
}

// 导出巡更记录
export function exportPatrolRecord(query) {
    return request({
        url: '/patrol/record/export',
        method: 'post',
        params: query
    })
}

